Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class TerminatorParticipantProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsarjtx.processors.TerminationCoordinatorProcessor
          com.arjuna.wst.messaging.TerminatorParticipantProcessorImpl

public class TerminatorParticipantProcessorImpl
extends com.arjuna.webservices.wsarjtx.processors.TerminationCoordinatorProcessor

The Terminator Participant processor.

Author:
  kevin

Constructor Summary
`TerminatorParticipantProcessorImpl()`

Method Summary
`void` | `activateParticipant(BusinessActivityTerminator participant, java.lang.String identifier)` Activate the participant.
`void` | `cancel(com.arjuna.webservices.wsat.NotificationType cancel, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Cancel.
`void` | `close(com.arjuna.webservices.wsat.NotificationType close, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Close.
`void` | `complete(com.arjuna.webservices.wsat.NotificationType complete, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Complete.
`void` | `deactivateParticipant(BusinessActivityTerminator participant)` Deactivate the participant.

Methods inherited from class com.arjuna.webservices.wsarjtx.processors.TerminationCoordinatorProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminatorParticipantProcessorImpl

    public TerminatorParticipantProcessorImpl()

Method Detail

### activateParticipant

    public void activateParticipant(BusinessActivityTerminator participant,
                                    java.lang.String identifier)

  Activate the participant.

  Parameters:
    `participant` - The participant.
    `identifier` - The identifier.

### deactivateParticipant

    public void deactivateParticipant(BusinessActivityTerminator participant)

  Deactivate the participant.

  Parameters:
    `participant` - The participant.

### cancel

    public void cancel(com.arjuna.webservices.wsat.NotificationType cancel,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Cancel.

  Parameters:
    `cancel` - The cancel notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### close

    public void close(com.arjuna.webservices.wsat.NotificationType close,
                      com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                      com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Close.

  Parameters:
    `close` - The close notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### complete

    public void complete(com.arjuna.webservices.wsat.NotificationType complete,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Complete.

  Parameters:
    `complete` - The complete notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD